
<div class="container">
  <h1>Welcome To Community</h1>
    <h3>Registration Form</h3>
    <!-- <div *ngIf="!submitted"> -->
      <form [formGroup] = "commForm" (ngSubmit)="onSubmit()" class="registrationform">
        <div class="row">
            <div class="col30"><label for="name">Name:</label></div>
            <div class="col70"><input type="text" class="form-control" formControlName="name" /></div>
            <span *ngIf="!commForm.controls['name'].valid && commForm.controls['name'].touched" class="help-block">
              <span *ngIf="commForm.controls.name.errors?.required" class="help-block">{{ emptyfield }}</span>
              <span *ngIf="commForm.controls.name.errors?.minlength" class="help-block">{{ minimumCharacters }}</span>
              </span>
        </div>
        <div class="row">
          <div class="col30"><label for="username">Username:</label></div>
          <div class="col70"><input type="text" class="form-control" formControlName="username" /></div>
          <span *ngIf="!commForm.controls['username'].valid && commForm.controls['username'].touched" class="help-block">
              <span *ngIf="commForm.controls.username.errors?.required" class="help-block">{{ emptyfield }}</span>
              <span *ngIf="commForm.controls.username.errors?.minlength" class="help-block">{{ minimumCharacters }}</span>
          </span>
        </div>
        <div class="row">
          <div class="col30"><label for="contact">Contact:</label></div>
          <div class="col70"><input type="tel" class="form-control" formControlName="contact" /></div>
          <span *ngIf="!commForm.controls['contact'].valid && commForm.controls['contact'].touched" class="help-block">
              <span *ngIf="commForm.controls.contact.errors?.required" class="help-block">{{ emptyfield }}</span>
              <span *ngIf="commForm.controls.contact.errors?.minlength" class="help-block">{{ validvalue }} Contact!!</span>
              <span *ngIf="commForm.controls.contact.errors?.maxlength" class="help-block">{{ validvalue }} Contact!!</span>
          </span>
        </div>
        <div class="row">
          <div class="col30"><label for="email">Email:</label></div>
          <div class="col70"><input type="text" class="form-control" formControlName="email" email /></div>
          <span *ngIf="!commForm.controls['email'].valid && commForm.controls['email'].touched" class="help-block">{{ validvalue }} Email!</span>
        </div>
        <div class="row">
          <div class="col30"><label for="Address">Address:</label></div>
          <div class="col70"><input type="address" class="form-control" formControlName="address" /></div>
          <span *ngIf="!commForm.controls['address'].valid && commForm.controls['address'].touched" class="help-block">{{ validvalue }} Address!</span>
        </div>
        <div class="row">
          <div class="col30"><label for="password">Password:</label></div>
          <div class="col70"><input type="password" class="form-control" formControlName="password" /></div>
          <span *ngIf="!commForm.controls['password'].valid && commForm.controls['password'].touched" class="help-block">
              <span *ngIf="commForm.controls.password.errors?.required" class="help-block">{{ emptyfield }}</span>
              <span *ngIf="commForm.controls.password.errors?.minlength" class="help-block">{{ mini6characters }}</span>
          </span>
        </div>
        <div class="row">
          <div class="col30"><label for="confirmpassword">Confirm Password:</label></div>
          <div class="col70"><input type="password" class="form-control" formControlName="confirmpassword" /></div>
          <span *ngIf="!commForm.controls['confirmpassword'].valid && commForm.controls['confirmpassword'].touched" class="help-block">
            <span *ngIf="commForm.controls.confirmpassword.errors?.required" class="help-block">{{ emptyfield }}</span>
            <span *ngIf="commForm.controls.confirmpassword.errors?.minlength" class="help-block">{{ mini6characters }}</span>

          </span>
        </div>
        <div class="row">
          <div class="col50">
            <button type="submit"  class="btn pad"  [disabled]="commForm.invalid">Submit</button>
          </div>
          <div class="col50">
            <button type="button" (click)="set()" class="btn pad" [disabled]="commForm.invalid">Clear</button>
          </div>
        </div>
      </form>
    <!-- </div> -->

</div>
